/** Check if string is Hash string
 * @param str string that need to be checked
 * @return true if hash string
 */
export declare const isHash: (str: string) => boolean;
/** Specific exception for this program
 * Why? Because you need beutiful error message 😆
 * @param {Panic} panic panic object
 * @throws beutiful error message
 */
export declare const becomePanic: (panic: GitNotes.Panic) => never;
/** Helper for parsing various string */
export declare const parse: {
    git: {
        /** This will parse output string from `git ls-tree`
         * @see https://git-scm.com/docs/git-ls-tree#_output_format
         * @param output <mode> SP <type> SP <object> TAB <file>
         * @example const {mode,type,sha,name} = parse.git.lsTree('040000 tree c7584b4\t.circleci')
         */
        lsTree(output: string): {
            mode: string;
            type: string;
            sha: string;
            name: string;
        };
    };
};
